## NAME

v.llabel - Bulk-labels unlabeled points or lines in a binary GRASS vector file.
(GRASS Vector Program)

## SYNOPSIS

v.llabel
v.llabel help
v.llabel [-in] map=name [type=name] [value=value] [label=value]

## DESCRIPTION

v.llabel allows the user to bulk-label currently unlabeled points or lines (not areas) in a binary GRASS vector file (i.e., a dig file). The user must run v.support on the vector file before running v.llabel if any modifications have been made to the file since the last time v.support was run on it, to ensure that all lines are properly identified in the file topology.

The program also runs v.support on the vector file after labelling so that the changes will be made evident.

v.support builds GRASS support files for (binary) GRASS vector data files. These support files supply topology (dig_plus) and category (dig_att, dig_cats) information that are needed by other GRASS programs (e.g., by v.digit, v.to.rast, etc.).

## OPTIONS

Program parameters and flags have the following meanings.

### Flags:

-i
  Label incrementally. For each unique, unlabeled line or point in the vector file, increment the category value by one, starting from the initial default or user-assigned value.
-n
  Do not run v.support. There may occasionally be instances where the user prefers not to run v.support immediately.

### Parameters:

map=name
  Name of binary GRASS vector data file whose unlabeled lines are to be labelled. This map layer must exist in the user's current GRASS mapset.
type=name
  Select type of primitives to be labeled. Primitives include points, line arcs, area edge arcs and points. v.llabel does not label areas.
  Options: point, edge, line
  Default: all
value=value
  The category value to be assigned to all unlabeled points or lines in the vector map layer. If the -i flag is set, v.llabel will increment the initial value by one for each unique unlabeled point or line in the vector map.
  Default: 1
label=value
  The category label to assign to all unlabeled points or lines in the vector map layer. If unspecified, all added categories will be given an empty label the the dig_cats file.

The user can run this program non-interactively by specifying parameter values (and optionally, the flag setting) on the command line.

Alternately, the user can simply type the command v.llabel on the command line. In this event, the program will prompt the user to enter parameter values and flag settings.

## NOTES

A dig_plus file must be created for each imported vector map before it can be used in v.digit.

Topological information for GRASS vector files can also be built using option 4 of the v.import. program.

The user can bulk-label unlabeled line features in a binary vector file using v.digit.

## SEE ALSO

v.digit, v.in.ascii, v.support, and v.alabel

## AUTHORS

James Darrell McCauley, Agricultural Engineering, Purdue University
Dave Gerdes, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/04/13 14:38:29 $